


; Enable DnD
exten => *78,1,Answer
same => n,Set(DEVICE_STATE(Custom:DND_${CALLERID(num)})=BUSY)
same => n,Set(DB(SIP/DND/${CALLERID(num)})=1)
same => n,PauseQueueMember(,Local/${CALLERID(num)}@intern)
same => n,Hangup
; Disable DnD
exten => *79,1,Answer
same => n,Set(DEVICE_STATE(Custom:DND_${CALLERID(num)})=NOT_INUSE)
same => n,Set(DB(SIP/DND/${CALLERID(num)})=0)
same => n,UnPauseQueueMember(,Local/${CALLERID(num)}@intern)
same => n,Hangup



